Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Interface WindowCloseListener

All Superinterfaces:
  java.util.EventListener

Deprecated. use `Window.ClosingHandler` and `CloseHandler` instead

    @Deprecated
    public interface WindowCloseListener

extends java.util.EventListener

Implement this interface to receive closing events from the browser window.

See Also:
  `Window.addWindowCloseListener(WindowCloseListener)`

Method Summary
`void` | `onWindowClosed()` Deprecated.
`java.lang.String` | `onWindowClosing()` Deprecated.

Method Detail

### onWindowClosing

    @Deprecated
    java.lang.String onWindowClosing()

  Deprecated.

  Fired just before the browser window closes or navigates to a different site. No user-interface may be displayed during shutdown.

  Returns:
    non-`null` to present a confirmation dialog that asks the user whether or not she wishes to navigate away from the page. The string returned will be displayed in the close confirmation dialog box. If multiple listeners return messages, the first will be displayed; all others will be ignored.

### onWindowClosed

    @Deprecated
    void onWindowClosed()

  Deprecated.

  Fired after the browser window closes or navigates to a different site. This event cannot be canceled, and is used mainly to clean up application state and/or save state to the server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD